curl --compressed "https://api.coinmetrics.io/v4/catalog-v2/asset-chains?pretty=true&api_key=<your_key>"
{
"data": [
{
"asset": "btc",
"min_time": "2023-08-17T14:58:45.614000000Z",
"max_time": "2023-08-24T15:29:26.235000000Z"
}
],
"next_page_token": "ZXRo",
"next_page_url": "https://api.coinmetrics.io/v4/catalog-v2/asset-chains?api_key=<your_key>&page_size=1&next_page_token=ZXRo"
}
Catalog v2
Available asset chains
Returns a list of available assets for the asset-chains endpoint along with time ranges of available data.
GET
/
catalog-v2
/
asset-chains
curl --compressed "https://api.coinmetrics.io/v4/catalog-v2/asset-chains?pretty=true&api_key=<your_key>"
{
"data": [
{
"asset": "btc",
"min_time": "2023-08-17T14:58:45.614000000Z",
"max_time": "2023-08-24T15:29:26.235000000Z"
}
],
"next_page_token": "ZXRo",
"next_page_url": "https://api.coinmetrics.io/v4/catalog-v2/asset-chains?api_key=<your_key>&page_size=1&next_page_token=ZXRo"
}
Authorizations
Query Parameters
Comma separated list of assets. By default all assets are returned. Supports the following formats: <asset> - Coin Metrics asset ticker (e.g., btc), <namespace>:<symbol> - External provider symbol (e.g., talos:BTC), <namespace>:by-id:<id> - External provider numeric ID (e.g., talos:by-id:24). The namespace identifies the external data provider (e.g., talos). The by-id selector indicates lookup by a provider-specific numeric ID rather than symbol.

